OpenVDB 5.1.0

Public Member Functions | Public Attributes | List of all members
Normalize< GridT, MaskGridType, InterruptT >::Functor Struct Reference

`#include <GridOperators.h>`

## Public Member Functions
| Functor (const GridT &grid, const MaskGridType *mask, bool threaded, InterruptT *interrupt)
template<typename MapT >
void | operator() (const MapT &map)

## Public Attributes
const bool | mThreaded
const GridT & | mInputGrid
GridT::Ptr | mOutputGrid
InterruptT * | mInterrupt
const MaskGridType * | mMask

## Constructor & Destructor Documentation

## ◆ Functor()

Functor | ( | const GridT & | grid,
|  | const MaskGridType * | mask,
|  | bool | threaded,
|  | InterruptT * | interrupt
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const MapT & | map | ) |
| inline

## Member Data Documentation

## ◆ mInputGrid

const GridT& mInputGrid

## ◆ mInterrupt

InterruptT* mInterrupt

## ◆ mMask

const MaskGridType* mMask

## ◆ mOutputGrid

GridT::Ptr mOutputGrid

## ◆ mThreaded

const bool mThreaded

The documentation for this struct was generated from the following file:

- GridOperators.h